Subject: Re: [Lime] I-D Action: draft-ietf-lime-yang-connection-oriented-oam-model-04.txt

From: wangzitao <[email-masked]>
Date: Tue, 30 Jan 2018 08:58:55 +0000

Hi WG,

This version addressed the issues arose by AD review and Yangdoctors early review.
More details please review the document.

Best Regards!
-Michael

-----邮件原件-----
发件人: Lime [mailto:[email-masked]] 代表 [email-masked]
发送时间: 2018年1月30日 16:44
收件人: [email-masked]
抄送: [email-masked]
主题: [Lime] I-D Action: draft-ietf-lime-yang-connection-oriented-oam-model-04.txt

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Layer Independent OAM Management in the Multi-Layer Environment WG of the IETF.

        Title           : Generic YANG Data Model for Connection Oriented Operations, Administration, and Maintenance(OAM) protocols
        Authors         : Deepak Kumar
                          Qin Wu
                          Michael Wang
	Filename        : draft-ietf-lime-yang-connection-oriented-oam-model-04.txt
	Pages           : 53
	Date            : 2018-01-30

Abstract:
   This document presents a base YANG Data model for connection oriented
   OAM protocols.  It provides a technology-independent abstraction of
   key OAM constructs for such protocols.  The model presented here can
   be extended to include technology specific details.  This guarantees
   uniformity in the management of OAM protocols and provides support
   for nested OAM workflows (i.e., performing OAM functions at different
   levels through a unified interface)

   The YANG model in this document conforms to the Network Management
   Datastore Architecture defined in
   [I-D.ietf-netmod-revised-datastores].

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-lime-yang-connection-oriented-oam-model/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-lime-yang-connection-oriented-oam-model-04
https://datatracker.ietf.org/doc/html/draft-ietf-lime-yang-connection-oriented-oam-model-04

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-lime-yang-connection-oriented-oam-model-04

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

_______________________________________________
Lime mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/lime

---

From: Greg Mirsky <[email-masked]>
Date: Tue, 30 Jan 2018 22:36:39 -0800

Hi Michael, Authors, et. al,
thank you for your dedication to this work. Please kindly consider my
comments below.
- this document introduces YANG data model of connection-oriented OAM
protocols. I couldn't find the definition or reference to normative
definition of the connection-oriented OAM. As we've discussed, I
believe that the definition of the channel forwarding in G.800 in
section 6.3.1, specifically for connection-oriented packet switching,
is the one we can use similarly to the definition of connectionless
OAM in draft-ietf-lime-yang-connectionless-oam. And the fact that both
documents share one source of definitions, in my view, is advantage of
consistent dictionary.
- "This is the base identy of technology types which are
TRILL,MPLS-TP,vpls etc" Had VPLS been characterized as CO-PS? Not to
get into the discussion, perhaps stop after MPLS-TP be acceptable. And
I encourage to omit other references to VPLS in the document:
            - "... or for VPLS this can be per VPLS instance [RFC6136]."
            - " a VRF for VPLS,"
- what is the benefit to have specific ipv4-address and ipv6-address
in 'choice mep-address' rather than ip-address imported from
inet:ip-address?
- I think that 'leaf packet-size' is related to packet padding, not
the actual size of the test packet as there's always minimum size
determined by the corresponding technology and thus the packet size
cannot be smaller than the minimum size of, for example, LBM. Current
range for the leaf packet-size in rpc continuity-check is 0...10000
and in rpc continuity-verification the range is 64 ... 10000 (why such
inconsistency?). Test packet of 0 bytes doesn't seem practical while
test packet with 0 bytes of padding/payload does. And though we'd like
to use default for zero-touch (almost zero-touch), this is very
technology-specific parameter (compare Ethernet LBM and MPLS LSP
Ping).

Nits:
- s/interface)/interface)./
- consistency in using YANG vs. Yang throughout the document should be achieved.
- s/../maintenance-domain]/co-oam:mas/co-oam:ma[/../maintenance-domain]/co-oam:mas/co-oam:ma/
- s/CoS field in MPLS-TP/TC field in MPLS-TP/

Regards,
Greg